Summary:	A program to use the special keys on internet/multimedia keyboards
Summary(pl.UTF-8):	Obsługa klawiszy specjalnych na internetowych/multimedialnych klawiaturach
Name:		hotkeys
Version:	0.5.7.1
Release:	7
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://ypwong.org/hotkeys/%{version}/%{name}_%{version}.tar.gz
# Source0-md5:	68e2aea6b4444f943b5f85ac00542a1c
Patch0:		%{name}-db41.patch
Patch1:		%{name}-libxml2.patch
Patch2:		%{name}-ac_am.patch
Patch3:		%{name}-home_etc.patch
URL:		http://ypwong.org/hotkeys/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db-devel >= 4.1
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libxml2-devel >= 2.2.8
BuildRequires:	pkgconfig >= 1:0.7
BuildRequires:	xosd-devel >= 0.7.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HotKeys daemon listens for the "special" hotkeys that you won't
normally use on your Internet/Multimedia keyboards. The buttons
perform their intended behaviors, such as volume up and down, mute the
speaker, or launch applications. It has On-screen display (OSD) to
show the volume, program that's being started, etc. It features an
XML-based keycode configuration file format, which makes it possible
to define the hotkeys to launch any programs you want.

%description -l pl.UTF-8
Demon HotKeys czeka na naciśnięcia "specjalnych" klawiszy, których
normalnie nie użyłbyś z klawiatur internetowych/multimedialnych.
Przyciski wykonują swoje zamierzone zadanie, takie jak zwiększanie i
zmniejszanie głośności, wyciszanie głośnika, uruchamianie programów.
Obsługuje OSD (On-screen display) do pokazywania głośności,
uruchamianych programów itp. Klawisze mogą być konfigurowane przez
plik formacie XML.

%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1
%patch -P3 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-xosd \
	--with-gtk \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS TODO debian/changelog def/sample.xml
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/hotkeys.conf
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hotkeys.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 34216b1
- Release 7 (by relup.sh)

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 11fe5b6
- Fix applying patches.

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> 7a17f88
- release 6 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> 4f4b72b
- Rebuild with DB 5.3
- release 5 (by relup.sh)

* Sat Jun 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 586d5bf
- rel 4

* Sun Oct 14 2007 dzeus <dzeus@pld-linux.org> 27253e3
- rel. 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 52fdb02
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f8fd557
- converted to UTF-8

* Sat Mar 04 2006 maciek2w <maciek2w@pld-linux.org> 9ff547d
- removed TODO

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> 2de5edc
- adapterized (sorted %verify attrs)

* Wed Jun 29 2005 Jakub Krajniak <jkrajniak@gmail.com> f650186
- added support for HOME_ETC

* Sat Jun 25 2005 saq <saq@pld-linux.org> c46e000
- ac_am.patch: fix for libxml CFLAGS substitution

* Sun Feb 20 2005 sardzent <sardzent@pld-linux.org> 6b1565e
- added TODO

* Sat Nov 27 2004 saq <saq@pld-linux.org> c7132cf
- massive attack: more BR epoch fixes

* Sat Nov 27 2004 saq <saq@pld-linux.org> 5d76cd7
- massive attack: add missing gtk+2-devel epoch in BR

* Tue Feb 17 2004 Jakub Bogusz <qboosh@pld-linux.org> cabf205
- --with-gtk, so added gtk+(2) BRs

* Mon Feb 16 2004 Paweł Gołaszewski <blues@pld-linux.org> 65014fb
- release 1 - enabled splash and xosd. It works now :D

* Mon Feb 16 2004 Jakub Bogusz <qboosh@pld-linux.org> abe495a
- added db41 and libxml2 patches, removed hacks

* Mon Feb 16 2004 Jakub Bogusz <qboosh@pld-linux.org> 15e63bf
- proper includes for libxml2

* Mon Feb 16 2004 Jakub Bogusz <qboosh@pld-linux.org> b92f689
- update .conf for db 4.1 syntax, changed .m4 check to work with db4

